#!/bin/sh
# setLogLevel demo script
# 
#    arg 1 is severity level {CRITICAL|ERROR|WARNING|INFO|DEBUG}

setLogLevel WARNING
# "The following record will NOT be logged"
addLogRecord setLogLevelDemo.sh INFO "Demo bash record"
# "The following record will be logged"
addLogRecord setLogLevelDemo.sh WARNING "Demo bash record"
setLogLevel INFO
# "The following record will now be logged"
addLogRecord setLogLevelDemo.sh INFO "Demo bash record"
echo "This script produced 4 new log records in the following order:"
echo "  1. A record setting the minimum severity level to WARNING"
echo "  2. The addLogRecord WARNING record"
echo "  3. A record setting the minimum severity level to INFO"
echo "  4. The second addLogRecord INFO record"
